OrcConf (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc

## Enum OrcConf

- java.lang.Object
- - java.lang.Enum<OrcConf>
  - - org.apache.orc.OrcConf

- All Implemented Interfaces:
    Serializable, Comparable<OrcConf>

      public enum OrcConf
      extends Enum<OrcConf>

  Define the configuration properties that Orc understands.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE_DELTA_RATIO`
    `BLOCK_PADDING`
    `BLOCK_PADDING_TOLERANCE`
    `BLOCK_SIZE`
    `BLOOM_FILTER_COLUMNS`
    `BLOOM_FILTER_FPP`
    `BLOOM_FILTER_WRITE_VERSION`
    `BUFFER_SIZE`
    `COMPRESS`
    `COMPRESSION_STRATEGY`
    `DATA_MASK`
    `DICTIONARY_KEY_SIZE_THRESHOLD`
    `DIRECT_ENCODING_COLUMNS`
    `ENABLE_INDEXES`
    `ENCODING_STRATEGY`
    `ENCRYPTION`
    `ENFORCE_COMPRESSION_BUFFER_SIZE`
    `FORCE_POSITIONAL_EVOLUTION`
    `FORCE_POSITIONAL_EVOLUTION_LEVEL`
    `IGNORE_NON_UTF8_BLOOM_FILTERS`
    `INCLUDE_COLUMNS`
    `IS_SCHEMA_EVOLUTION_CASE_SENSITIVE`
    `KEY_PROVIDER`
    `KRYO_SARG`
    `KRYO_SARG_BUFFER`
    `MAPRED_INPUT_SCHEMA`
    `MAPRED_OUTPUT_SCHEMA`
    `MAPRED_SHUFFLE_KEY_SCHEMA`
    `MAPRED_SHUFFLE_VALUE_SCHEMA`
    `MAX_FILE_LENGTH`
    `MEMORY_POOL`
    `ORC_MAX_DISK_RANGE_CHUNK_LIMIT`
    `OVERWRITE_OUTPUT_FILE`
    `PROLEPTIC_GREGORIAN`
    `PROLEPTIC_GREGORIAN_DEFAULT`
    `ROW_INDEX_STRIDE`
    `ROW_INDEX_STRIDE_DICTIONARY_CHECK`
    `ROWS_BETWEEN_CHECKS`
    `SARG_COLUMNS`
    `SKIP_CORRUPT_DATA`
    `STRIPE_SIZE`
    `TOLERATE_MISSING_SCHEMA`
    `USE_ZEROCOPY`
    `WRITE_FORMAT`
    `WRITE_VARIABLE_LENGTH_BLOCKS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute()`
    `boolean` | `getBoolean(Configuration conf)`
    `boolean` | `getBoolean(Properties tbl, Configuration conf)`
    `Object` | `getDefaultValue()`
    `String` | `getDescription()`
    `double` | `getDouble(Configuration conf)`
    `double` | `getDouble(Properties tbl, Configuration conf)`
    `String` | `getHiveConfName()`
    `int` | `getInt(Configuration conf)`
    `void` | `getInt(Configuration conf, int value)`
    `int` | `getInt(Properties tbl, Configuration conf)`
    `long` | `getLong(Configuration conf)`
    `long` | `getLong(Properties tbl, Configuration conf)`
    `String` | `getString(Configuration conf)`
    `String` | `getString(Properties tbl, Configuration conf)`
    `void` | `setBoolean(Configuration conf, boolean value)`
    `void` | `setDouble(Configuration conf, double value)`
    `void` | `setLong(Configuration conf, long value)`
    `void` | `setString(Configuration conf, String value)`
    `static OrcConf` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OrcConf[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRIPE_SIZE

          public static final OrcConf STRIPE_SIZE

    - #### BLOCK_SIZE

          public static final OrcConf BLOCK_SIZE

    - #### ENABLE_INDEXES

          public static final OrcConf ENABLE_INDEXES

    - #### ROW_INDEX_STRIDE

          public static final OrcConf ROW_INDEX_STRIDE

    - #### BUFFER_SIZE

          public static final OrcConf BUFFER_SIZE

    - #### BASE_DELTA_RATIO

          public static final OrcConf BASE_DELTA_RATIO

    - #### BLOCK_PADDING

          public static final OrcConf BLOCK_PADDING

    - #### COMPRESS

          public static final OrcConf COMPRESS

    - #### WRITE_FORMAT

          public static final OrcConf WRITE_FORMAT

    - #### ENFORCE_COMPRESSION_BUFFER_SIZE

          public static final OrcConf ENFORCE_COMPRESSION_BUFFER_SIZE

    - #### ENCODING_STRATEGY

          public static final OrcConf ENCODING_STRATEGY

    - #### COMPRESSION_STRATEGY

          public static final OrcConf COMPRESSION_STRATEGY

    - #### BLOCK_PADDING_TOLERANCE

          public static final OrcConf BLOCK_PADDING_TOLERANCE

    - #### BLOOM_FILTER_FPP

          public static final OrcConf BLOOM_FILTER_FPP

    - #### USE_ZEROCOPY

          public static final OrcConf USE_ZEROCOPY

    - #### SKIP_CORRUPT_DATA

          public static final OrcConf SKIP_CORRUPT_DATA

    - #### TOLERATE_MISSING_SCHEMA

          public static final OrcConf TOLERATE_MISSING_SCHEMA

    - #### MEMORY_POOL

          public static final OrcConf MEMORY_POOL

    - #### DICTIONARY_KEY_SIZE_THRESHOLD

          public static final OrcConf DICTIONARY_KEY_SIZE_THRESHOLD

    - #### ROW_INDEX_STRIDE_DICTIONARY_CHECK

          public static final OrcConf ROW_INDEX_STRIDE_DICTIONARY_CHECK

    - #### BLOOM_FILTER_COLUMNS

          public static final OrcConf BLOOM_FILTER_COLUMNS

    - #### BLOOM_FILTER_WRITE_VERSION

          public static final OrcConf BLOOM_FILTER_WRITE_VERSION

    - #### IGNORE_NON_UTF8_BLOOM_FILTERS

          public static final OrcConf IGNORE_NON_UTF8_BLOOM_FILTERS

    - #### MAX_FILE_LENGTH

          public static final OrcConf MAX_FILE_LENGTH

    - #### MAPRED_INPUT_SCHEMA

          public static final OrcConf MAPRED_INPUT_SCHEMA

    - #### MAPRED_SHUFFLE_KEY_SCHEMA

          public static final OrcConf MAPRED_SHUFFLE_KEY_SCHEMA

    - #### MAPRED_SHUFFLE_VALUE_SCHEMA

          public static final OrcConf MAPRED_SHUFFLE_VALUE_SCHEMA

    - #### MAPRED_OUTPUT_SCHEMA

          public static final OrcConf MAPRED_OUTPUT_SCHEMA

    - #### INCLUDE_COLUMNS

          public static final OrcConf INCLUDE_COLUMNS

    - #### KRYO_SARG

          public static final OrcConf KRYO_SARG

    - #### KRYO_SARG_BUFFER

          public static final OrcConf KRYO_SARG_BUFFER

    - #### SARG_COLUMNS

          public static final OrcConf SARG_COLUMNS

    - #### FORCE_POSITIONAL_EVOLUTION

          public static final OrcConf FORCE_POSITIONAL_EVOLUTION

    - #### FORCE_POSITIONAL_EVOLUTION_LEVEL

          public static final OrcConf FORCE_POSITIONAL_EVOLUTION_LEVEL

    - #### ROWS_BETWEEN_CHECKS

          public static final OrcConf ROWS_BETWEEN_CHECKS

    - #### OVERWRITE_OUTPUT_FILE

          public static final OrcConf OVERWRITE_OUTPUT_FILE

    - #### IS_SCHEMA_EVOLUTION_CASE_SENSITIVE

          public static final OrcConf IS_SCHEMA_EVOLUTION_CASE_SENSITIVE

    - #### WRITE_VARIABLE_LENGTH_BLOCKS

          public static final OrcConf WRITE_VARIABLE_LENGTH_BLOCKS

    - #### DIRECT_ENCODING_COLUMNS

          public static final OrcConf DIRECT_ENCODING_COLUMNS

    - #### ORC_MAX_DISK_RANGE_CHUNK_LIMIT

          public static final OrcConf ORC_MAX_DISK_RANGE_CHUNK_LIMIT

    - #### ENCRYPTION

          public static final OrcConf ENCRYPTION

    - #### DATA_MASK

          public static final OrcConf DATA_MASK

    - #### KEY_PROVIDER

          public static final OrcConf KEY_PROVIDER

    - #### PROLEPTIC_GREGORIAN

          public static final OrcConf PROLEPTIC_GREGORIAN

    - #### PROLEPTIC_GREGORIAN_DEFAULT

          public static final OrcConf PROLEPTIC_GREGORIAN_DEFAULT

  - ### Method Detail

    - #### values

          public static OrcConf[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrcConf c : OrcConf.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrcConf valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAttribute

          public String getAttribute()

    - #### getHiveConfName

          public String getHiveConfName()

    - #### getDefaultValue

          public Object getDefaultValue()

    - #### getDescription

          public String getDescription()

    - #### getInt

          public int getInt(Properties tbl,
                            Configuration conf)

    - #### getInt

          public int getInt(Configuration conf)

    - #### getInt

          public void getInt(Configuration conf,
                             int value)

    - #### getLong

          public long getLong(Properties tbl,
                              Configuration conf)

    - #### getLong

          public long getLong(Configuration conf)

    - #### setLong

          public void setLong(Configuration conf,
                              long value)

    - #### getString

          public String getString(Properties tbl,
                                  Configuration conf)

    - #### getString

          public String getString(Configuration conf)

    - #### setString

          public void setString(Configuration conf,
                                String value)

    - #### getBoolean

          public boolean getBoolean(Properties tbl,
                                    Configuration conf)

    - #### getBoolean

          public boolean getBoolean(Configuration conf)

    - #### setBoolean

          public void setBoolean(Configuration conf,
                                 boolean value)

    - #### getDouble

          public double getDouble(Properties tbl,
                                  Configuration conf)

    - #### getDouble

          public double getDouble(Configuration conf)

    - #### setDouble

          public void setDouble(Configuration conf,
                                double value)

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.